#Chili Switch
## A mobile toggle switch-like jQuery checkbox replacement

Chili Switch is designed to be a touch-compatible mobile switch-like checkbox replacement. Unlike many similar switches, this one can be dragged with your finger on touch devices (or mouse pointer on non-touch devices), and has an emphasis on smooth, fluid animation and seamless user-interaction.

Basically, we wanted to make an awesome toggle switch that you'd *want* to play with.

It's fully styleable with CSS, but comes with a basic look that will fit in anywhere.

See the `demo.html` file in the repository for an example of how it works.

## Compatibility

Chili Switch is compatible with Safari, Chrome, Firefox, Opera and IE9. The switch is click-only (not draggable) in IE7 and IE8. IE6 will not be supported.

## Usage
### Basic Example:

	$(function(){
		$('#my-checkbox').chiliSwitch();
	});

Will replace an `<input type="checkbox" id="my-checkbox" />` with a custom switch.

### Custom On/Off text

The only options the script has are for specifying the On/Off text that is displayed:

	$(function(){
		$('#my-checkbox').chiliSwitch({
			on: 'Win',
			off: 'Lose'
		});
	});


This will produce a switch with "Win/Lose" instead of "On/Off".

## CSS Styling

To style the switch, simply add an ID to your checkbox. The switch itself will have the same id but with `-chSw` appended.


	<input type="checkbox" id="my-checkbox" />


produces

	<input type="checkbox" id="my-checkbox" style="display: none;" />
	<div class="chSw" id="my-checkbox-chSw">
		<div class="chSwSl">
			<div class="chSwSlLe">On</div>
			<div class="chSwSlRi">Off</div>
			<div class="chSwSlH"></div>
		</div>
	</div>
	
You can style this in your CSS file, like the following Windows 8-style example:

	/* Windows 8 Style */
	#my-checkbox-chSw {
		height: 16px;
		padding: 2px 0;
		border: 2px solid #AAA;
		margin-top: 6px;
	}
	#my-checkbox-chSw .chSwSlLe {
		background-color: #159F51;
	}
	#my-checkbox-chSw .chSwSlRi {
		background-color: #AAA;
	}
	#my-checkbox-chSw .chSwSlH {
		height: 20px;
		margin-top: -2px;
		width: 36px;
		background-color: #333;
	}
